Subject: [bug#36440] [PATCH] Add FreeCAD

From: Jonathan Brielmaier <[email-masked]>
Date: Mon, 22 Jul 2019 19:57:16 +0200

Thanks Björn for having a look here :)

On 7/22/19 4:11 PM, Björn Höfling wrote:> I wanted to give it a try for
myself but failed: I could not build
> qtwebkit locally, and no substitutes are available. I don't want to
> hold back my comments any longer, so I postponed trying it out.

qtwebkit seems to fail on master as well and it needs long to build, so
I can't do it locally on my laptop:
http://ci.guix.gnu.org/build/1488065/details

> I wonder if we need the dependency on qtwebkit or if we can get rid of this, but I haven't investigated yet.

I think we need it as openSUSE and Debian have a build require on
qtwebkit-devel and it's noted at their wiki:
https://www.freecadweb.org/wiki/CompileOnUnix#Getting_the_dependencies